CMSIS-Core (Cortex-M): SysTick Functions

| CMSIS-Core (Cortex-M) Version 5.4.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Functions
SysTick Functions
TrustZone for Armv8-M/v8.1-M

SysTick functions related to TrustZone for Armv8-M. More...

## Functions
uint32_t | TZ_SysTick_Config_NS (uint32_t ticks)
| System Tick Configuration (non-secure) More...

## Description

SysTick functions related to TrustZone for Armv8-M.

## Function Documentation

uint32_t TZ_SysTick_Config_NS | ( | uint32_t | ticks | ) |

System Tick Configuration (non-secure)

Initializes the non-secure System Timer and its interrupt when in secure state, and starts the System Tick Timer. Counter is in free running mode to generate periodic interrupts.

Parameters

  [in] | ticks | Number of ticks between two interrupts.

Returns
  0 Function succeeded.
  1 Function failed.

Note
  When the variable __Vendor_SysTickConfig is set to 1, then the function TZ_SysTick_Config_NS is not included. In this case, the file device.h must contain a vendor-specific implementation of this function.

See Also
  - SysTick_Config